summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorSascha Schumann <sas@php.net>1999-05-16 11:14:52 +0000
committerSascha Schumann <sas@php.net>1999-05-16 11:14:52 +0000
commit5a4c63db531a762e2a2de025b0583293b1e7c679 (patch)
tree13de2c4e15c47f81e83a85cd1a7c5c17b7e32c55 /scripts
parented8a7dff62baac1396edd66770bfc70f2f5f8097 (diff)
downloadphp-git-5a4c63db531a762e2a2de025b0583293b1e7c679.tar.gz
this script automatically converts the ugly void php3_... prototypes
to PHP_FUNCTION(...) prototypes. Also kills some unnecessary extern declarations in front of function prototypes.
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/conv_proto30
1 files changed, 30 insertions, 0 deletions
diff --git a/scripts/conv_proto b/scripts/conv_proto
new file mode 100755
index 0000000000..fad9cfaa83
--- /dev/null
+++ b/scripts/conv_proto
@@ -0,0 +1,30 @@
+#! /bin/sh
+#
+# do some automatic conversion of prototypes
+#
+
+if test "$1" = "" ; then
+ echo "usage: $0 list-of-files"
+ exit 1
+fi
+
+tmpfile=`mktemp -q /tmp/asd.XXXXXX`
+
+if test "$?" != "0" ; then
+ echo "$0: cannot create temporary file"
+ exit 1
+fi
+
+for file in ${1+"$@"} ; do
+ echo "working on $file"
+ cat $file | \
+ sed -e \
+ 's/void php3_\(.*\)(INTERNAL_FUNCTION_PARAMETERS)/PHP_FUNCTION(\1)/' \
+ -e 's/^extern void /void /' \
+ -e 's/^extern PHP_FUNCTION/PHP_FUNCTION/' > $tmpfile
+ cp $tmpfile $file
+done
+
+rm -f $tmpfile
+
+exit 0